#!/usr/bin/python

import requests

headers = { 'X-API-Key': open('/etc/pdnsapi.secret', 'r').read().replace('\n', ''), }

counter = 0

def validate_ip(s):
  a = s.split('.')
  if len(a) != 4:
    return False
  for x in a:
    if not x.isdigit():
      return False
    i = int(x)
    if i < 0 or i > 255:
      return False
  return True


for ip in open('subdomains.txt'):
  ip = ip.rstrip()
  counter+=1
  domain = str(counter) + ".dl.amnesia.boum.org."
  if validate_ip(ip):
    rrdata = '{"rrsets": [ {"name": "' + domain + '", "type": "A", "changetype": "REPLACE", "records": [ {"content": "' + ip + '", "disabled": false} ], "ttl": 3600 , "type": "A" } ] }'
    response = requests.patch('http://127.0.0.1:8081/api/v1/servers/localhost/zones/amnesia.boum.org', headers=headers, data=rrdata)
    lastdomain = counter
  else:
    if ip == 'REMOVED':
      rrdata = '{"rrsets": [ {"name": "' + domain + '", "type": "A", "changetype": "DELETE" } ] }'
      response = requests.patch('http://127.0.0.1:8081/api/v1/servers/localhost/zones/amnesia.boum.org', headers=headers, data=rrdata)
    else:
      print("you fed me garbage on line " + str(counter))

domain = str(lastdomain) + ".dl.amnesia.boum.org"
rrdata = '{"rrsets": [ {"name": "last.dl.amnesia.boum.org", "type": "CNAME", "changetype": "REPLACE", "records": [ {"content": "' + domain + '", "disabled": false} ], "ttl": 3600 , "type": "A" } ] }'
response = requests.patch('http://127.0.0.1:8081/api/v1/servers/localhost/zones/amnesia.boum.org', headers=headers, data=rrdata)

while counter<100:
  counter+=1
  domain = str(counter) + ".dl.amnesia.boum.org."
  rrdata = '{"rrsets": [ {"name": "' + domain + '", "type": "A", "changetype": "DELETE" } ] }'
  response = requests.patch('http://127.0.0.1:8081/api/v1/servers/localhost/zones/amnesia.boum.org', headers=headers, data=rrdata)
