# Manage Weblate dependencies that are in Debian
class tails::weblate::debian_packages () {

  # some packages are commented out because the needed versions for Weblate
  # 2.19.1 are still not available in Debian stable. Fore more details, see:
  # https://redmine.tails.boum.org/code/issues/10038
  $packages = [
    'apache2',
    'ccze',
    'ipython3',  # for more convenient debugging
    'memcached',
    'mercurial',  # so we can use pip to install from hg repos
    'libapache2-mod-security2',
    'libapache2-mod-wsgi-py3',
    'modsecurity-crs',
    'python3-dateutil',
    'python3-defusedxml',
    'python3-levenshtein',
    'python3-lxml',
    'python3-memcache',
    'python3-mysqldb',
    'python3-pil',
    'python3-pyuca',
    'python3-six',
    'python3-yaml',
    'python3-whoosh',
    'sqlite3',
  ]

  ensure_packages($packages)

}
